%global modulename sugarss

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-sugarss
Version:        2.0.0
Release:        1%{?dist}
Summary:        Indent-based CSS syntax for PostCSS

License:        MIT
URL:            https://github.com/postcss/sugarss#readme
Source0:        https://registry.npmjs.org/sugarss/-/sugarss-2.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(postcss) >= 7.0.2 with npmlib(postcss) < 8.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Indent-based CSS syntax for PostCSS

%package 2.0.0
Summary:        Indent-based CSS syntax for PostCSS


%description 2.0.0
Indent-based CSS syntax for PostCSS

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr liner.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parse.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr preprocess.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr stringifier.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr stringify.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tokenize.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 2.0.0-1
- Package automatically generated by npm2srpm
